Bug 661489 - recently viewed menu is empty
recently viewed menu is empty
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-08 15:08 EST by John Mazzitelli
Modified: 2013-09-02 03:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-12-08 15:08:26 EST
In the GWT UI, the Favorites>RecentlyViewed menu is not populated.

There are TODOs in:

org.rhq.enterprise.gui.coregui.client.footer.FavoritesButton

that mark where we have to add additional code. We'll need to update the UserPreferences object to track recently viewed resources and we'll need code to call the UserPreferences to store the recently viewed resources.

Note: we'll want to track recently viewed groups as well as recently viewed resources.
Comment 1 Mike Foley 2011-09-29 15:37:10 EDT
verified recently viewed groups.

also verified favorite groups and favorite resources.
Comment 2 Heiko W. Rupp 2013-09-02 03:22:02 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.